VERSION 5.00
Begin VB.Form frmExcelAuto 
   BackColor       =   &H00C0C0C0&
   Caption         =   "Excel Automation"
   ClientHeight    =   1710
   ClientLeft      =   1365
   ClientTop       =   1620
   ClientWidth     =   4800
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1710
   ScaleWidth      =   4800
   Begin VB.Frame Frame1 
      Caption         =   "Numbers to Chart"
      Height          =   1335
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   2175
      Begin VB.TextBox Text3 
         Height          =   285
         Left            =   240
         TabIndex        =   2
         Top             =   960
         Width           =   1575
      End
      Begin VB.TextBox Text2 
         Height          =   285
         Left            =   240
         TabIndex        =   1
         Top             =   600
         Width           =   1575
      End
      Begin VB.TextBox Text1 
         Height          =   285
         Left            =   240
         TabIndex        =   0
         Top             =   240
         Width           =   1575
      End
   End
   Begin VB.CommandButton cmdCloseExcel 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Close Excel"
      Height          =   375
      Left            =   2640
      TabIndex        =   5
      Top             =   600
      Width           =   1935
   End
   Begin VB.CommandButton cmdRunXLProcedure 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      Caption         =   "Run XL Procedure"
      Height          =   375
      Left            =   2640
      TabIndex        =   4
      Top             =   1080
      Width           =   1935
   End
   Begin VB.CommandButton cmdControlExcel 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Control Excel"
      Height          =   375
      Left            =   2640
      TabIndex        =   3
      Top             =   120
      Width           =   1935
   End
End
Attribute VB_Name = "frmExcelAuto"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim xl As Excel.Application

Private Sub cmdControlExcel_Click()
  Dim i As Integer
  Dim xlchart As Chart
  If xl Is Nothing Then
    Set xl = CreateObject("Excel.Application")
  End If
  xl.Visible = True
  xl.Workbooks.Add
  xl.Range("a1").Value = Text1.Text
  xl.Range("a2").Value = Text2.Text
  xl.Range("a3").Value = Text3.Text
  xl.Range("a4").Formula = "=sum(a1:a3)"
  xl.Range("A1").CurrentRegion.Select
  Set xlchart = xl.Charts.Add()
  xlchart.Type = xl3DColumn
  For i = 30 To 180 Step 10
    xlchart.Rotation = i
  Next
End Sub

Private Sub cmdCloseExcel_Click()
  On Error Resume Next
  xl.ActiveWorkbook.Close False
  xl.Quit
  Set xl = Nothing
End Sub

Private Sub cmdRunXLProcedure_Click()
  Dim ProperString As String
  If xl Is Nothing Then
    Set xl = CreateObject("Excel.Application")
  End If
  xl.Visible = True
  xl.Workbooks.Open (App.Path & "\pivot.xls")
  'Run Excel Sub Procedure to create PivotTable
  xl.Run "CreatePivot"
End Sub

